pipeline {
    agent any
    environment  {
        env_to_deploy = "develop"
        version = "1.0.0"
    }
    stages {
        stage('Condition Select develop') {
            when {
                environment name: 'env_to_deploy', value: 'develop'
            }
            steps {
                 echo "Hello from develop env"
                 sh "javac Simple_develop.java"
            }
        }
        stage('Condition Select production') {
            when {
                environment name: 'env_to_deploy', value: 'production'
            }
            steps {
                 echo "Hello from develop prd"
                 sh "javac Simple_production.java"
            }
        }
    }

}
